// Copyright (C) 2024  Umorpha Systems
// SPDX-License-Identifier: AGPL-3.0-or-later

package follower

import (
	"git.mothstuff.lol/lukeshu/eclipse/lib/common"
)

type Config struct {
	LeaderURL  string `json:"leader_url"`
	APIKeyFile string `json:"apikey_file"`
}

func LoadConfig(filename string) (Config, error) {
	return common.LoadYAML[Config](filename)
}
